﻿using BinaryDad.Notes.Services;
using Microsoft.AspNetCore.SignalR;

namespace BinaryDad.Notes
{
    public class NoteHub : Hub
    {
        private readonly INoteService noteService;

        public NoteHub(INoteService noteService)
        {
            this.noteService = noteService;
        }

        public async Task SaveNote(string content)
        {
            noteService.Save(content);

            await Clients.Others.SendAsync("updateNote", content);
        }
    }
}
